<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.BannerMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.Banner">
        <result column="activity_id" property="activityId" />
        <result column="banner_desc" property="bannerDesc" />
        <result column="banner_url" property="bannerUrl" />
        <result column="link_url" property="linkUrl" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        activity_id, banner_desc, banner_url, link_url, start_time, end_time, status, remark
    </sql>

</mapper>
